textproc/rubygem-charlock_holmes: Update to version 0.7.5
ClosedPublic

Authored by jrm on Sep 15 2017, 5:53 PM.

Details

Summary

While here, add license, required RUN_DEPENDS on devel/libunwind, and set
ordering as prescribed in the Porter's Handbook.

Test Plan

portlint -C: looks fine
poudriere testport 10/11 i386/amd64: ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jrm created this revision.Sep 15 2017, 5:53 PM
tz added a comment.Sep 20 2017, 1:46 PM

Aloha,

did you check if the dependencies break?

  • devel/rubygem-gitlab_git
  • net-im/mastodon
  • textproc/rubygem-github-linguist
  • textproc/rubygem-gitlab-grit
  • textproc/rubygem-gitlab-linguist
  • www/gitlab

Please note, that a build test isn't enough to check it. Ruby-based software has very strict rules and changing a version can break it. Do you know what to do or do you need some assistance?

jrm added a comment.Sep 20 2017, 2:11 PM

net-im/mastodon is fine. I have done run-time tests. For the others, I haven't done run-time tests, but inspected the Gemfiles. Either the original dependency specification or the patched ones claim that the new version is acceptable. Since you maintain GitLab (and I'm not a Gitlab user) I copied you hoping it would be easier for you to do the GitLab run-time tests. It you don't think that's the case, let me know and I'll try and install GitLab.

This revision was automatically updated to reflect the committed changes.